%global pypi_name yaql

Summary:        Yet Another Query Language
Name:           python-%{pypi_name}
Version:        2.0.0
Release:        6%{?dist}
License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

Patch0001:      CVE-2024-29156.patch
Patch3000:      0001-Replace-assertItemsEqual-with-assertCountEqual.patch

BuildArch:      noarch

%description
YAQL (Yet Another Query Language) is an embeddable and extensible query language, that allows performing complex queries against arbitrary objects. It has a vast and comprehensive standard library of frequently used querying functions and can be extend even further with user-specified functions. YAQL is written in python and is distributed via PyPI.

%package -n     python3-%{pypi_name}
Summary:        YAQL library has a out of the box large set of commonly used functions.
BuildRequires: python3-dateutil
BuildRequires: python3-sphinx python3-oslo-sphinx python3-testtools python3-ply
BuildRequires: python3-devel python3-setuptools python3-tools python3-pbr
Requires: python3-six python3-pbr python3-babel python3-ply python3-dateutil

%description -n python3-%{pypi_name}
YAQL (Yet Another Query Language) is an embeddable and extensible query language, that allows performing complex queries against arbitrary objects. It has a vast and comprehensive standard library of frequently used querying functions and can be extend even further with user-specified functions. YAQL is written in python and is distributed via PyPI.

%prep
%autosetup -n %{pypi_name}-%{version} -p1
rm -rf %{pypi_name}.egg-info
rm -f *requirements.txt

%build
%py3_build

%install
%py3_install

%check
%{python3} -W ignore::ResourceWarning setup.py test
rm -fr %{buildroot}%{python3_sitelib}/yaql/tests


%files -n python3-%{pypi_name}
%license LICENSE
%doc doc/source/readme.rst README.rst
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 18 2024 cunshunxia <cunshunxia@tencent.com> - 2.0.0-6
- fix CVE-2024-29156

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.0-1
- initial build
